# $Revision: 1.8 $, $Date: 2010/02/17 08:10:55 $
Summary:	Tools for controling X from the command line
Summary(pl.UTF-8):	Narzędzia do sterowania X Window System z linii poleceń
Name:		xautomation
Version:	1.03
Release:	1
License:	GPL v2+
Vendor:		Steve Slaven <bpk@hoopajoo.net>
Group:		X11/Applications
Source0:	http://hoopajoo.net/static/projects/%{name}-%{version}.tar.gz
# Source0-md5:	91030079b0ecf96195dd21bcec635cb6
URL:		http://hoopajoo.net/projects/xautomation.html
BuildRequires:	libpng-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The control interface allows mouse movement, clicking, button up/down,
key up/down, etc. The visgrep program find images inside of images and
reports the coordinates, allowing progams to find buttons, etc, on the
screen to click on.

Useful with tools like <http://bur.st/~benc/index.pl?p=external-edit>.

%description -l pl.UTF-8
Narzędzia pozwalają na poruszanie wskaźnikiem myszy, ,,naciskanie''
przycisków na klawiaturze itd. visgrep szuka obrazów w obrazach, by
można było zlokalizować przyciski do kliknięcia.

Użyteczne z narzędziami w rodzaju
<http://bur.st/~benc/index.pl?p=external-edit>.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man7/xautomation.7*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xautomation.spec,v $
Revision 1.8  2010/02/17 08:10:55  arekm
- up to 1.03

Revision 1.7  2010/01/30 10:43:57  megabajt
- release 2

Revision 1.6  2008/10/23 21:22:35  charles
- updated to 1.02

Revision 1.5  2007/03/26 14:08:38  radek
- xorg BRs

Revision 1.4  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.2  2005/02/14 21:47:04  qboosh
- desc fixes, use metapackage name in BR

Revision 1.1  2005/02/13 21:17:00  malekith
- new
